org.keycloak.adapters.tomcat7

## Class AuthenticatedActionsValve

- java.lang.Object
- - org.apache.catalina.valves.ValveBase
  - - org.keycloak.adapters.tomcat7.AuthenticatedActionsValve

- All Implemented Interfaces:
    MBeanRegistration, org.apache.catalina.Contained, org.apache.catalina.Valve

      public class AuthenticatedActionsValve
      extends org.apache.catalina.valves.ValveBase

  Pre-installed actions that must be authenticated

  Actions include:

  CORS Origin Check and Response headers k_query_bearer_token: Get bearer token from server for Javascripts CORS requests
  Version:
    $Revision: 1 $
  Author:
    Davide Ungari

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AdapterDeploymentContext` | `deploymentContext`

    - ### Fields inherited from class org.apache.catalina.valves.ValveBase

      `container, controller, domain, info, mserver, next, oname, sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticatedActionsValve(AdapterDeploymentContext deploymentContext, org.apache.catalina.Valve next, org.apache.catalina.Container container, ObjectName controller)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `invoke(org.apache.catalina.connector.Request request, org.apache.catalina.connector.Response response)`

    - ### Methods inherited from class org.apache.catalina.valves.ValveBase

      `backgroundProcess, createObjectName, event, getContainer, getContainerName, getController, getDomain, getInfo, getNext, getObjectName, getParentName, postDeregister, postRegister, preDeregister, preRegister, setContainer, setController, setNext, setObjectName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### deploymentContext

          protected AdapterDeploymentContext deploymentContext

  - ### Constructor Detail

    - #### AuthenticatedActionsValve

          public AuthenticatedActionsValve(AdapterDeploymentContext deploymentContext,
                                   org.apache.catalina.Valve next,
                                   org.apache.catalina.Container container,
                                   ObjectName controller)

  - ### Method Detail

    - #### invoke

          public void invoke(org.apache.catalina.connector.Request request,
                    org.apache.catalina.connector.Response response)
                      throws IOException,
                             javax.servlet.ServletException

      Specified by:
        `invoke` in interface `org.apache.catalina.Valve`
      Specified by:
        `invoke` in class `org.apache.catalina.valves.ValveBase`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

Copyright © 2014. All Rights Reserved.